Bug 1301706 - Need "orphans find" command to be listed in the manpage of radosgw-admin command
Summary: Need "orphans find" command to be listed in the manpage of radosgw-admin command
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 1.3.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 1.3.3
Assignee: Casey Bodley
QA Contact: Tejas
Bara Ancincova
URL:
Whiteboard:
Depends On: 1335269
Blocks: 1299303
TreeView+ depends on / blocked
 
Reported: 2016-01-25 18:15 UTC by shilpa
Modified: 2017-07-30 15:56 UTC (History)
12 users (show)

Fixed In Version: RHEL: ceph-0.94.9-3.el7cp Ubuntu: ceph_0.94.9-4redhat1trusty
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-29 12:56:04 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Ceph Project Bug Tracker 14516 None None None 2016-01-26 19:01:25 UTC
Ceph Project Bug Tracker 14637 None None None 2016-02-04 02:57:26 UTC
Ceph Project Bug Tracker 17280 None None None 2016-09-15 17:39:37 UTC
Red Hat Product Errata RHSA-2016:1972 normal SHIPPED_LIVE Moderate: Red Hat Ceph Storage 1.3.3 security, bug fix, and enhancement update 2016-09-29 16:51:21 UTC

Description shilpa 2016-01-25 18:15:12 UTC
Description of problem:
A cli tool for identifying orphaned rgw objects is backported to 1.3.2. Refer https://bugzilla.redhat.com/show_bug.cgi?id=1254398. 
Need to include this cli option in the man page for "radosgw-admin" command.

Version-Release number of selected component (if applicable):
ceph-radosgw-0.94.5-3.el7cp.x86_64

Steps to Reproduce:

1. $ radosgw-admin orphans find --pool=<data pool> --job-id=<name> [--num-shards=<num shards>] [--orphan-stale-secs=<seconds>]

Actual results:
"radosgw-admin --help" currently does not list the above option.

Comment 2 Ken Dreyer (Red Hat) 2016-02-03 17:01:58 UTC
fix merged upstream @ https://github.com/ceph/ceph/pull/7473

Comment 3 Ken Dreyer (Red Hat) 2016-02-04 02:57:26 UTC
Orit or Yehuda, we'll need https://github.com/ceph/ceph/pull/7518 as well in order to fix this

Comment 4 Ken Dreyer (Red Hat) 2016-02-04 18:13:40 UTC
Orit merged the above PR to master; thanks Orit. PR for hammer: https://github.com/ceph/ceph/pull/7524

(downstream we really only need to cherry-pick the second commit there, "doc: add orphans commands to radosgw-admin(8)
")

Comment 7 shilpa 2016-02-07 08:32:01 UTC
I suppose we also have another option in "orphans find" command that needs to be documented.

[--orphan-stale-secs=<seconds>]

 $ radosgw-admin orphans find --pool=<data pool> --job-id=<name> [--num-shards=<num shards>] [--orphan-stale-secs=<seconds>]

Comment 8 Ken Dreyer (Red Hat) 2016-02-08 22:22:52 UTC
Yehuda/Orit, mind submitting a PR for this? Do we need any other options, also?

Comment 12 Yehuda Sadeh 2016-05-03 17:49:45 UTC
both upstream issues have been resolved.

Comment 18 Tejas 2016-09-14 13:15:15 UTC
I do not see the "--orphan-stale-secs=<seconds>" option in the "man radosgw-admin" page in ceph version: 0.94.9-2.el7cp 
Moving this back

Comment 19 Ken Dreyer (Red Hat) 2016-09-15 17:39:38 UTC
Filed http://tracker.ceph.com/issues/17280 to track missing "--orphan-stale-secs" in radosgw-admin man page.

Comment 20 Ken Dreyer (Red Hat) 2016-09-15 17:44:16 UTC
man page update for master in https://github.com/ceph/ceph/pull/11097

Comment 29 Tejas 2016-09-21 07:11:50 UTC
Verified on ceph version:
ceph version 0.94.9-3.el7cp

Comment 31 errata-xmlrpc 2016-09-29 12:56:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-1972.html


Note You need to log in before you can comment on or make changes to this bug.